### Signal

# Gtk.TextView::extend-selection

#### Declaration

    gboolean
    extend_selection (
      GtkTextView self,
      GtkTextExtendSelection granularity,
      const GtkTextIter* location,
      const GtkTextIter* start,
      const GtkTextIter* end,
      gpointer user_data
    )

#### Description [src]

Emitted when the selection needs to be extended at `location`.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`

#### Parameters

`granularity` | `GtkTextExtendSelection`
| the granularity type
`location` | `GtkTextIter`
| the location where to extend the selection
| Ownership is not transferred to the callee
`start` | `GtkTextIter`
| where the selection should start
| Ownership is not transferred to the callee
`end` | `GtkTextIter`
| where the selection should end
| Ownership is not transferred to the callee

#### Return value

Returns: `gboolean`
`GDK_EVENT_STOP` to stop other handlers from being invoked for the event. `GDK_EVENT_PROPAGATE` to propagate the event further.